Name:           vesso-root-repo-release
Version:        6
Release:        0
Summary:        Vesso's Root Package for Enterprise Linux repository configuration

Group:          System Environment/Base 
License:        GPL 
URL:            http://rpm.vesselin.org/redhat/root

Source0:        http://rpm.vesselin.org/OpenPGP/RPM-GPG-KEY-vesso.el6
Source1:        GPL	
Source2:        vesso-root.repo

BuildArch:     noarch

%description
This package contains the yum configuration (repo file,GPG key) to enable
the use of Vesso's Enterprise Linux repositories.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .

%build

%install
rm -rf %{buildroot}

#GPG Key
install -Dpm 644 %{SOURCE0} \
    %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-vesso.el6

# yum
install -dm 755 %{buildroot}%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/yum.repos.d

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc GPL
%config %{_sysconfdir}/yum.repos.d/vesso-root.repo
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-vesso.el6


%changelog
* Thu Aug 04 2011 Vesselin Kolev http://rpm.vesselin.org - 6-0
- initial build for Red Hat Enterprise Linux 6

